Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
Class GrailsPluginsDirectoryResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
                  org.apache.ivy.plugins.resolver.RepositoryResolver
                      org.apache.ivy.plugins.resolver.FileSystemResolver
                          org.codehaus.groovy.grails.resolve.GrailsPluginsDirectoryResolver

All Implemented Interfaces:
  org.apache.ivy.core.settings.Validatable, org.apache.ivy.plugins.resolver.DependencyResolver, org.apache.ivy.plugins.resolver.util.HasLatestStrategy

    public class GrailsPluginsDirectoryResolver

extends org.apache.ivy.plugins.resolver.FileSystemResolver

A resolver that resolves JAR files from plugin lib directories.

Since:
  1.2
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`DATE_FORMAT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED`

Constructor Summary
`GrailsPluginsDirectoryResolver(grails.util.BuildSettings buildSettings, org.apache.ivy.core.settings.IvySettings ivySettings)`

Method Summary

Methods inherited from class org.apache.ivy.plugins.resolver.FileSystemResolver
`abortPublishTransaction, addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, beginPublishTransaction, commitPublishTransaction, filterNames, getDestination, getTransactional, getTypeName, isLocal, setLocal, setTransactional, supportTransaction`

Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
`download, dumpSettings, exist, findResourceUsingPattern, findTokenValues, get, getRepository, getResource, isAlwaysCheckExactRevision, listResources, listTokenValues, publish, put, putChecksum, setAlwaysCheckExactRevision, setName, setRepository, setSettings`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
`convertM2IdForResourceSearch, convertM2OrganizationForResourceSearch, convertM2TokenValuesForResourceSearch, findArtifactNames, findArtifactRef, findIvyFileRef, findIvyNames, findNames, findResource, findResourceUsingPatterns, getArtifactPatterns, getIvyPatterns, getModuleDescriptorExtension, isM2compatible, listTokenValues, setArtifactPatterns, setIvyPatterns, setM2compatible`

Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`acceptLatest, clearArtifactAttempts, clearIvyAttempts, download, exists, findFirstArtifactRef, getAndCheck, getArtifactRef, getChecksumAlgorithms, getDefaultRMDParser, getDependency, getPublicationDate, getRMDParser, getWorkspaceName, isAllownomd, isCheckconsistency, isEnvDependent, isForce, listModules, listOrganisations, listRevisions, listTokenValues, locate, logArtifactAttempt, logAttempt, logIvyAttempt, parse, reportFailure, reportFailure, setAllownomd, setCheckconsistency, setChecksums, setDescriptor, setEnvDependent, setForce, setWorkspaceName, shouldReturnResolvedModule, toString`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver
`checkInterrupted, checkLatest, doValidate, findModuleInCache, findModuleInCache, fromSystem, fromSystem, getCacheDownloadOptions, getCacheOptions, getChangingMatcherName, getChangingPattern, getDownloadOptions, getEventManager, getLatest, getLatestStrategy, getName, getNamespace, getRepositoryCacheManager, getSettings, getSystemNode, hidePassword, isAfter, isValidate, saveModuleRevisionIfNeeded, setCache, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, setLatest, setLatestStrategy, setNamespace, setRepositoryCacheManager, setValidate, toSystem, toSystem, toSystem, toSystem, toSystem, toSystem, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsPluginsDirectoryResolver

    public GrailsPluginsDirectoryResolver(grails.util.BuildSettings buildSettings,
                                          org.apache.ivy.core.settings.IvySettings ivySettings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD